import BasicLayout from './layouts/BasicLayout'
import MonitorManger from "./pages/MonitorManger";
import MonitorInform from "./pages/MonitorInform";
import QueryPlayer from "./pages/QueryPlayer";
import MonitorMange from './pages/MonitorMange'
import User from './pages/User';
import WhiteMange from './pages/WhiteMange/WhiteMange';
import AccountChangePassword from './pages/AccountChangePassword'
const routerConfig = [
    {
        path: '/account/change_password',
        layout: BasicLayout,
        component: AccountChangePassword,
        authority: 'admin',
    },
    {
        path: '/monitor/manage',
        layout: BasicLayout,
        component: MonitorMange,
        authority: 'admin',
    },
    {
        path: '/monitor/manger',
        layout: BasicLayout,
        component: MonitorManger,
        authority: 'admin',
    },
    
    {
        path: '/monitor/inform',
        layout: BasicLayout,
        component: MonitorInform,
        authority: 'admin',
    },
    {
        path: '/query/player',
        layout: BasicLayout,
        component: QueryPlayer,
        authority: 'admin',
    },
    {
        path: '/set/user',
        layout: BasicLayout,
        component: User,
        authority: 'admin',
    },
    {
        path: '/white/mange',
        layout: BasicLayout,
        component: WhiteMange,
        authority: 'admin',
    },
];

export default routerConfig;
