import HttpClient from './HttpClient'

export default class RestfulClient {
    baseURL = null;
    constructor(baseURL, ) {
        this.baseURL = baseURL;
    }

    all = async params => {
        return await HttpClient.get(this.baseURL, params);
    };
    update = async(id, params) => {
        return await HttpClient.put(`${this.baseURL}/${id}`, params);
    };
    add = async params => {
        return await HttpClient.post(this.baseURL, params);
    };
    delete = async id => {
        return await HttpClient.delete(`${this.baseURL}/${id}`);
    };
    view = async id => {
        return await HttpClient.get(`${this.baseURL}/${id}`);
    };
}